Fibo 2.0 Edit
集成
模型 id
bria/fibo-2/edit
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/bria/fibo-2/edit?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/bria/fibo-2/edit?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
],
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/bria/fibo-2/edit", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/zh/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.ru/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "bria/fibo-2/edit",
"input": {
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
}
}
通过 Doitong API 调用 Fibo 2.0 Edit 模型(bria/fibo-2/edit)。智能体文档:https://doitong.com/zh/developers/models/bria/fibo-2/edit.md
POST https://api.doitong.ru/v1/run/bria/fibo-2/edit?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
}
如果响应状态为 "queued" 或 "running",请轮询 GET https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20,直到状态变为 "succeeded";文件位于 outputs[].url。使用相同请求体 POST https://api.doitong.ru/v1/quote/bria/fibo-2/edit,可在运行前返回确切价格。
此请求: $0.04 40 API 积分 · ≈ ₽4.26 在此页面运行
你的新 API 密钥。 它仅在此时显示,并且已填入下方的代码和 API 密钥字段中。请妥善保密:切勿将其放入在浏览器中运行的代码。
构建请求
控件根据模型架构生成。更改控件时,代码和价格会同步更新。
POST
/run/bria/fibo-2/edit?wait=20
报价 → $0.04
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/bria/fibo-2/edit?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/bria/fibo-2/edit?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
],
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/bria/fibo-2/edit", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "bria/fibo-2/edit",
"input": {
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
},
"wait_seconds": 20
}
}
}
关于 Fibo 2.0 Edit
编辑 `image_urls` 中的一到四张图像,`instruction` 使用 <image_1>、<image_2> 等名称引用这些图像。适用于替换背景和重新布置产品场景。单图请求可通过 `mask_url` 将编辑限制在指定区域。`aspect_ratio` 提供 16 个值,也可以传入或复用结构化的 `vgl` 文档。
参数
发送规范名称或原生名称之一,不要同时发送两者。 规范名称
名称类型
默认值允许值
描述
image_urls必填
images
类型url[] · image
≤ 4 个项目
按提交顺序索引的编辑输入,在指令中分别表示为 <image_1>、<image_2> 等。以文件或 URL 形式提供 1–4 个图像。
instruction可选
类型string | null
与 'vgl' 一同提供时用于修改它的编辑指令。否则,系统会将自由格式请求扩展为 VGL 文档并包含在响应中。
aspect_ratio可选
类型enum
1:11:21:31:41:52:12:33:13:23:44:14:34:55:15:49:16
另外 5 个
9:2110:1616:916:1021:9输出约为一百万像素时的宽高比设置;无论此设置如何,单个输入图像都会保留自身比例。多个输入图像下,省略此设置会使用第一张图像的比例。
seed可选
类型integer
默认值5555
0 – 2,147,483,647
控制随机性的种子,用于获得可复现的结果,范围为 0 到 2147483647。
mask_url可选
mask
类型url · image
包含单个图像的请求所使用的编辑蒙版,以文件或 URL 形式提供,尺寸必须与该图像匹配。白色标记重新生成区域,黑色标记其他所有区域。结果使用输入尺寸,并保留蒙版外的像素。
vgl可选
类型object
可从之前响应中复用的 VGL(Visual Generation Language)文档。与 'instruction' 一同使用时,它表示第一张图像并提供编辑基准;不使用 'instruction' 时,它指定不变的编辑内容,且必须包含 'edit_instruction'。
vgl.short_description可选
类型string | null
对目标输出图像的简要描述。
vgl.objects可选
类型object[]
默认值[]
以列表形式指定生成图像的内容,记录每个对象的属性及其与其他对象的关系。
vgl.objects[].description可选
类型string | null
目标输出对象的描述。
vgl.objects[].location可选
类型string | null
对象在图像中的位置。
vgl.objects[].relationship必填
类型string
对象与图像中其他对象的关系。
vgl.objects[].relative_size可选
类型string | null
对象相对于图像的尺寸。
vgl.objects[].shape_and_color可选
类型string | null
对象的形状和颜色。
vgl.objects[].texture可选
类型string | null
对象的纹理。
vgl.objects[].appearance_details可选
类型string | null
描述对象外观的详细信息。
vgl.objects[].number_of_objects可选
类型integer | null
图像中的对象数量。
vgl.objects[].pose可选
类型string | null
所描绘对象的姿势。
vgl.objects[].expression可选
类型string | null
所描绘对象的表情。
vgl.objects[].clothing可选
类型string | null
所描绘对象穿着的服装。
vgl.objects[].action可选
类型string | null
所描绘对象执行的动作。
vgl.objects[].gender可选
类型string | null
所描绘对象的性别。
vgl.objects[].skin_tone_and_texture可选
类型string | null
所描绘对象的皮肤纹理和色调。
vgl.objects[].orientation可选
类型string | null
所描绘对象的朝向。
vgl.background_setting可选
类型string | null
生成图像的背景环境。
vgl.lighting可选
类型object
生成图像的照明。
vgl.lighting.conditions可选
类型string | null
生成图像的光照条件。
vgl.lighting.direction可选
类型string | null
生成图像的光照方向。
vgl.lighting.shadows可选
类型string | null
生成图像中要描绘的阴影。
vgl.aesthetics可选
类型object
生成图像的美学特征。
vgl.aesthetics.composition可选
类型string | null
生成图像的构图。
vgl.aesthetics.color_scheme可选
类型string | null
生成图像的调色板。
vgl.aesthetics.mood_atmosphere可选
类型string | null
生成图像的情绪和氛围。
vgl.photographic_characteristics可选
类型object
生成图像的摄影属性。
vgl.photographic_characteristics.depth_of_field可选
类型string | null
生成图像的景深。
vgl.photographic_characteristics.focus可选
类型string | null
生成图像的焦点。
vgl.photographic_characteristics.camera_angle可选
类型string | null
生成图像的相机角度。
vgl.photographic_characteristics.lens_focal_length可选
类型string | null
生成图像的镜头设置,以焦距表示。
vgl.style_medium可选
类型string | null
生成图像的艺术媒介。
vgl.text_render可选
类型object[]
默认值[]
要包含在图像中的文本条目列表。
vgl.text_render[].text必填
类型string
要渲染的文本,也会以图像形式视觉呈现给 fibo-2,以帮助其准确复现所提供的措辞。
vgl.text_render[].location可选
类型string | null
文本在图像中的位置。
vgl.text_render[].size可选
类型string | null
文本在图像中的大小。
vgl.text_render[].color可选
类型string | null
文本使用的颜色。
vgl.text_render[].font可选
类型string | null
文本的字体样式。
vgl.text_render[].appearance_details可选
类型string | null
关于文本外观的其他重要细节。
vgl.context可选
类型string | null
生成图像的上下文。
vgl.artistic_style可选
类型string | null
生成图像的艺术风格。
vgl.edit_instruction可选
类型string | null
描述如何编辑图像的指令。
必填
规范名称,也可接受
文件参数接受公开的 https:// URL、最大 10 MB 的 data: URI,或上传文件的 file_url。 文件
输出
GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "bria/fibo-2/edit",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 40,
"usd": "0.04",
"charged": 40,
"refunded": 0
},
"input": {
"image_urls": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
},
"output": {
"image": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
},
"images": [
{
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
}
],
"vgl": {}
},
"outputs": [
{
"type": "image",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
你的文件,由你选择每个 outputs[].url 都是存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
每个模型的结构相同图像、视频和音频均包含 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
- image
- object {url, content_type, file_name, file_size, width, height}编辑生成的图像。
- images
- array of object {url, content_type, file_name, file_size, width, height}与其他 FIBO 应用返回格式匹配的图像列表;唯一条目就是同一张图像。
- vgl
- object用于编辑的 VGL,其中包含其 `edit_instruction`。
其他 Fibo 2.0 变体
更多模型:图像编辑
对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh/developers/models/bria/fibo-2/edit.md. 所有模型和指南: https://doitong.com/developers/llms.txt






